Class FeaturesErrorConditions
java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
org.opengis.cite.ogcapifeatures10.conformance.core.collections.AbstractFeatures
org.opengis.cite.ogcapifeatures10.conformance.core.collections.FeaturesErrorConditions
A.2.7. Features {root}/collections/{collectionId}/items - Error Conditions
- Author:
- Lyn Goltz
-
Nested Class Summary
Nested classes/interfaces inherited from class org.opengis.cite.ogcapifeatures10.conformance.core.collections.AbstractFeatures
AbstractFeatures.CollectionResponseKey, AbstractFeatures.ResponseData -
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringConstantINVALID_QUERY_PARAM_VALUE="unlimited"static final StringConstantUNKNOWN_QUERY_PARAM="unknownQueryParameter"Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.core.collections.AbstractFeatures
collectionIdAndResponse, collections, iutFields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
noOfCollectionsFields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
requestLoggingFilter, responseLoggingFilter, rootUri -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncollectionItemUris(org.testng.ITestContext testContext) collectionItemUris.voidvalidateFeaturesOperation_QueryParamInvalid(Map<String, Object> collection) Abstract Test 13: /ats/core/fc-op Test Purpose: Validate that features can be identified and extracted from a Collection using query parameters.voidvalidateFeaturesOperation_QueryParamUnknown(Map<String, Object> collection) Abstract Test 13: /ats/core/fc-op Test Purpose: Validate that features can be identified and extracted from a Collection using query parameters.Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.core.collections.AbstractFeatures
collectionPaths, isExplode, isRequired, retrieveRequiredInformationFromTestContext, validateFeaturesProperty, validateGeometriesInBBox, validateGeometriesInCrs84, validateLinks, validateNumberMatched, validateNumberReturned, validateTimeStamp, validateTypePropertyMethods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, getApiModel, noOfCollections, requirementClasses, retrieveApiModelMethods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
clearMessages, getRequest, getResponse, init, initCommonFixture
-
Field Details
-
INVALID_QUERY_PARAM_VALUE
ConstantINVALID_QUERY_PARAM_VALUE="unlimited"- See Also:
-
UNKNOWN_QUERY_PARAM
ConstantUNKNOWN_QUERY_PARAM="unknownQueryParameter"- See Also:
-
-
Constructor Details
-
FeaturesErrorConditions
public FeaturesErrorConditions()
-
-
Method Details
-
collectionItemUris
@DataProvider(name="collectionItemUris") public Iterator<Object[]> collectionItemUris(org.testng.ITestContext testContext) collectionItemUris.
- Parameters:
testContext- aITestContextobject- Returns:
- a
Iteratorobject
-
validateFeaturesOperation_QueryParamInvalid
Abstract Test 13: /ats/core/fc-op Test Purpose: Validate that features can be identified and extracted from a Collection using query parameters. Requirement: /req/core/fc-op Test Method 1. For every feature collection identified in Collections, issue an HTTP GET request to the URL /collections/{collectionId}/items where {collectionId} is the id property for a Collection described in the Collections content. 2. Validate that a document was returned with a status code 200. 3. Validate the contents of the returned document using test /ats/core/fc-response. Repeat these tests using the following parameter tests: Error conditions: * Query Invalid /ats/core/query-param-invalid * Query Unknown /ats/core/query-param-unknownAbstract Test 20: /ats/core/query-param-invalid Test Purpose: Validate that the API correctly deals with invalid query parameters. Requirement: /req/core/query-param-invalid Test Method 1. Enter an HTTP request with an invalid query parameter. 2. Verify that the API returns the status code 400.
- Parameters:
collection- the collection under test, nevernull
-
validateFeaturesOperation_QueryParamUnknown
Abstract Test 13: /ats/core/fc-op Test Purpose: Validate that features can be identified and extracted from a Collection using query parameters. Requirement: /req/core/fc-op Test Method 1. For every feature collection identified in Collections, issue an HTTP GET request to the URL /collections/{collectionId}/items where {collectionId} is the id property for a Collection described in the Collections content. 2. Validate that a document was returned with a status code 200. 3. Validate the contents of the returned document using test /ats/core/fc-response. Repeat these tests using the following parameter tests: Error conditions: * Query Invalid /ats/core/query-param-invalid * Query Unknown /ats/core/query-param-unknownAbstract Test 21: /ats/core/query-param-unknown Test Purpose: Validate that the API correctly deals with unknown query parameters. Requirement: /req/core/query-param-unknown Test Method 1. Enter an HTTP request with an query parameter that is not specified in the API definition. 2. Verify that the API returns the status code 400.
- Parameters:
collection- the collection under test, nevernull
-